package cn.iocoder.yudao.module.bpm.dal.mysql.oa.expense;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.expense.OaExpenseObjDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 报销流程信息子 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaExpenseObjMapper extends BaseMapperX<OaExpenseObjDO> {

    default List<OaExpenseObjDO> selectListByExpenseId(Long expenseId) {
        return selectList(OaExpenseObjDO::getExpenseId, expenseId);
    }

    default int deleteByExpenseId(Long expenseId) {
        return delete(OaExpenseObjDO::getExpenseId, expenseId);
    }

}